Subject: Re: bug#33871: 27.0.50; Revert Dired window saved in window configuration

From: martin rudalics <[email-masked]>
Date: Thu, 27 Dec 2018 10:37:12 +0100

> I see that without `goto-char' it moves to the first file name in the
 > selected window.

I see the same here.  In the selected window only, though.

 > I don't understand how 'set-window-configuration' restores
 > the selected window's point.

 From the buffer's point as established by the revert function of dired
for buffers not displayed anywhere.

 >> To confirm, try with the upper window selected instead.
 >
 > Here is when the upper window is selected, but still it moves to (point-max)
 > in non-selected window:
 >
 > (progn (dired "/tmp")
 >         (dired-other-window "/tmp") (other-window 1)
 >         (let ((w-c (current-window-configuration))
 > 	     (p-m (point-marker)))
 > 	 (view-emacs-todo) (delete-other-windows)
 > 	 (with-current-buffer (get-buffer "tmp")
 > 	   (revert-buffer))
 > 	 (set-window-configuration w-c)))

In every non-selected window.  Try with as many windows as you want.
Only the selected window is handled separately.

martin